<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_3893085d5d4" . "dd5f7f800428" . "47fc8fd66" => base64_decode("Y29tbW9uLmhlYWRlci53b3JrZmxv" . "dw=="), "_1d81e4078b112d9" . "a9d9f9dd21fea446" . "0" => base64_decode("Li4vZG9jdW1lbnRzL2NsYXNzZXMvV0ZTdGF0Ln" . "BocA=="), "_21977da3ae64" . "465ec85f89dfb" . "0b6dcf2" => base64_decode("ZG9jdW1lbnRzLmhlYWRlci5wcm9jZXNzZWRf" . "ZG9jdW1lbnRz"), "_aa7e860da1acd4e767" . "e0df9d7d407380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"), "_8f06554776135669af1f9fe" . "2598af4dc" => base64_decode("V29ya2Z" . "sb3c="), "_c240fbf9dae3f14bb91" . "92babf3ef6731" => base64_decode("ZGF0ZV9tb2RpZmllZA" . "=="), "_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_121c102c9c9ad9bf61745404c146312" . "c" => base64_decode("d29ya2Zsb3dfc2VsZWN" . "0"), "_f457e604fe9e77b3f884b" . "013afe0c10c" => base64_decode("Y3N2X2V" . "4cG9ydA" . "=="), "_52ff3d2c" . "2e521e8d4" . "e39bc762e" . "a72a70" => base64_decode("UHJvY2Vzc2VkIGRvY3VtZW50c" . "w=="));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_1d81e4078b112d9a9d9f9dd21fe" . "a4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c240fbf9dae" . "3f14bb9192ba" . "bf3ef6731"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_aa7e860d" . "a1acd4e76" . "7e0df9d7d" . "407380"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_f457e604fe9e77b3f8" . "84b013afe0c10c"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_121c102c" . "9c9ad9bf6" . "1745404c1" . "46312c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_8f0655477613566" . "9af1f9fe2598af4d" . "c"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3893085d5d4" . "dd5f7f800428" . "47fc8fd66"])), array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_52ff3d2c2e521e8d4e39bc762" . "ea72a70"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_21977da" . "3ae64465" . "ec85f89d" . "fb0b6dcf" . "2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}